package com.tsi.sig.server.mapper;

import com.tsi.sig.server.dto.EvpsServiceDto;
import com.tsi.sig.server.dto.NodeInfo;
import com.tsi.sig.server.dto.PhaseInfo;
import com.tsi.sig.server.dto.RouteInfo;
import com.tsi.sig.server.vo.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface MainMapper {

    List<CvibNodeVO> getNodeList();
    List<CvibNodeVO> getCvibNodeInfo(HashMap<String, Object> paramMap);
    List<CvibNodeVO> getCvibMapNodeList(HashMap<String, Object> paramMap);
    List<EvpServiceVo> getEvpServiceList();
    EvpsServiceDto getEvpServiceDto(Map<String, Object> paramMap);
    List<EvpServiceVo> getEvpHistoryList(Map<String, Object> paramMap);
    List<EvpRouteVo> getEvpRouteList(Map<String, Object> paramMap);
    List<RouteInfo> getEvpRouteDtoList(Map<String, Object> paramMap);
    List<EvpNodeVo> getEvpNodeList(Map<String, Object> paramMap);
    List<NodeInfo> getEvpNodeDtoList(Map<String, Object> paramMap);
    List<EvpPhaseVo> getEvpPhaseList(HashMap<String, Object> paramMap);
    List<PhaseInfo> getEvpPhaseDtoList(Map<String, Object> paramMap);
    List<EvpSignalVo> getEvpSignalList(Map<String, Object> paramMap);
    List<EvpEventVo> getEvpEventList(Map<String, Object> paramMap);
    List<EvpSignalVo> getEvpSignalCurrList(Map<String, Object> paramMap);
    List<EvpEventVo> getEvpEventCurrList(Map<String, Object> paramMap);
    List<EvpCenterVo> getEvpCenterCode();
    List<EvpRegionVo> getEvpRegion();
    List<NodeStatisticsVo> getNodeStatusStat(Map<String, Object> paramMap);
    List<NodeStatisticsVo> getNodeStatusCntStat(Map<String, Object> paramMap);
    List<RegionVo> getRegionCd();
}
